Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.schemas.v2
Class GetProfessionalAuthorizationsResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.samcivics.schemas.v2.GetProfessionalAuthorizationsResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:10:42+02:00",
               comments="JAXB RI v2.2.11")
    public class GetProfessionalAuthorizationsResponse

extends ResponseType
implements Serializable

Java class for GetProfessionalAuthorizationsResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetProfessionalAuthorizationsResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
           <sequence>
             <element name="QualificationListId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ExclusiveInd" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ProfessionalAuthorization" type="{urn:be:fgov:ehealth:samcivics:type:v2}ProfessionalAuthorizationType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetProfessionalAuthorizationsResponse()`

Method Summary
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`String` | `getExclusiveInd()` Gets the value of the exclusiveInd property.
`String` | `getName()` Gets the value of the name property.
`List<ProfessionalAuthorizationType>` | `getProfessionalAuthorizations()` Gets the value of the professionalAuthorizations property.
`String` | `getQualificationListId()` Gets the value of the qualificationListId property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setExclusiveInd(String value)` Sets the value of the exclusiveInd property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setQualificationListId(String value)` Sets the value of the qualificationListId property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetProfessionalAuthorizationsResponse

    public GetProfessionalAuthorizationsResponse()

Method Detail

### getQualificationListId

    public String getQualificationListId()

  Gets the value of the qualificationListId property.

  Returns:
    possible object is `String`

### setQualificationListId

    public void setQualificationListId(String value)

  Sets the value of the qualificationListId property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getExclusiveInd

    public String getExclusiveInd()

  Gets the value of the exclusiveInd property.

  Returns:
    possible object is `String`

### setExclusiveInd

    public void setExclusiveInd(String value)

  Sets the value of the exclusiveInd property.

  Parameters:
    `value` - allowed object is `String`

### getProfessionalAuthorizations

    public List<ProfessionalAuthorizationType> getProfessionalAuthorizations()

  Gets the value of the professionalAuthorizations property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the professionalAuthorizations property.

  For example, to add a new item, do as follows:

          getProfessionalAuthorizations().add(newItem);

  Objects of the following type(s) are allowed in the list `ProfessionalAuthorizationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.